;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_
;;
;;	   __  __                  __  ___          __      __         
;;	  / / / /_______  _____   /  |/  /___  ____/ /_  __/ /__  _____
;;	 / / / / ___/ _ \/ ___/  / /|_/ / __ \/ __  / / / / / _ \/ ___/
;;	/ /_/ (__  )  __/ /     / /  / / /_/ / /_/ / /_/ / /  __(__  ) 
;;	\____/____/\___/_/     /_/  /_/\____/\__,_/\__,_/_/\___/____/  
;; 
;; Created By Aditya Shakya @adi1090x
;;
;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/checknetwork]
type = custom/script

; Available tokens:
;   %counter%
; Command to be executed (using "/usr/bin/env sh -c [command]")
exec = ~/.config/polybar/scripts/check-network

; Conditional command that, if defined, needs to exit successfully
; before the main exec command is invoked.
; Default: ""
;;exec-if = ""

; Will the script output continous content?
; Default: false
tail = true

; Seconds to sleep between updates
; Default: 2 (0 if `tail = true`)
interval = 5

; Available tags:
;   <output> - deprecated
;   <label> (default)
;;format = <label>
;;format-background = #999
;;format-foreground = #000
;;format-padding = 4

; Available tokens:
;   %output%
; Default: %output%
;;label = %output:0:15:...%

; Available tokens:
;   %counter%
;   %pid%
;
; "click-(left|middle|right)" will be executed using "/usr/bin/env sh -c [command]"
click-left = networkmanager_dmenu &
click-middle = networkmanager_dmenu &
click-right = networkmanager_dmenu &
;;double-click-left = echo double left %counter%
;;double-click-middle = echo double middle %counter%
;;double-click-right = echo double right %counter%

; Available tokens:
;   %counter%
;   %pid%
;
; "scroll-(up|down)" will be executed using "/usr/bin/env sh -c [command]"
;;scroll-up = echo scroll up %counter%
;;scroll-down = echo scroll down %counter%

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/updates]
type = custom/script

; Available tokens:
;   %counter%
; Command to be executed (using "/usr/bin/env sh -c [command]")
exec = ~/.config/polybar/scripts/updates.sh

; Conditional command that, if defined, needs to exit successfully
; before the main exec command is invoked.
; Default: ""
;;exec-if = ""

; Will the script output continous content?
; Default: false
tail = true

; Seconds to sleep between updates
; Default: 2 (0 if `tail = true`)
interval = 5

; Available tags:
;   <output> - deprecated
;   <label> (default)
;;format = <label>
;;format-background = #999
;;format-foreground = #000
;;format-padding = 4

; Available tokens:
;   %output%
; Default: %output%
;;label = %output:0:15:...%

; Available tokens:
;   %counter%
;   %pid%
;
; "click-(left|middle|right)" will be executed using "/usr/bin/env sh -c [command]"
click-left = ~/.config/polybar/scripts/lupdates &
;;click-middle = ~/.config/polybar/scripts/lupdates &
;;click-right = ~/.config/polybar/scripts/lupdates &
;;double-click-left = echo double left %counter%
;;double-click-middle = echo double middle %counter%
;;double-click-right = echo double right %counter%

; Available tokens:
;   %counter%
;   %pid%
;
; "scroll-(up|down)" will be executed using "/usr/bin/env sh -c [command]"
;;scroll-up = echo scroll up %counter%
;;scroll-down = echo scroll down %counter%

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/window_switch]
type = custom/text
content =  Switch

; "content" has the same properties as "format-NAME"
;;content-background = #000
;;content-foreground = #fff
;;content-padding = 4

; "click-(left|middle|right)" will be executed using "/usr/bin/env sh -c $COMMAND"
click-left = skippy-xd
click-middle = skippy-xd
click-right = ~/.config/polybar/scripts/windows

; "scroll-(up|down)" will be executed using "/usr/bin/env sh -c $COMMAND"
;;scroll-up = skippy-xd
;;scroll-down = skippy-xd

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/launcher]
type = custom/text
content = 

; "content" has the same properties as "format-NAME"
;;content-background = #000
content-foreground = ${color.ac}
;;content-padding = 4

; "click-(left|middle|right)" will be executed using "/usr/bin/env sh -c $COMMAND"
click-left = ~/.config/polybar/scripts/launcher
;;click-middle = ~/.config/polybar/scripts/launcher-full
click-right = ~/.config/polybar/scripts/launcher-alt

; "scroll-(up|down)" will be executed using "/usr/bin/env sh -c $COMMAND"
;;scroll-up = ~/.config/polybar/scripts/launcher-full
scroll-down = ~/.config/polybar/scripts/launcher-full

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/sysmenu]
type = custom/text
content = 

; "content" has the same properties as "format-NAME"
;;content-background = #000
content-foreground = ${color.ac}
;;content-padding = 4

; "click-(left|middle|right)" will be executed using "/usr/bin/env sh -c $COMMAND"
click-left = ~/.config/polybar/scripts/powermenu
;;click-middle = ~/.config/polybar/scripts/powermenu
click-right = ~/.config/polybar/scripts/powermenu-alt

; "scroll-(up|down)" will be executed using "/usr/bin/env sh -c $COMMAND"
;;scroll-up = ~/.config/polybar/scripts/powermenu
;;scroll-down = ~/.config/polybar/scripts/powermenu

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/powermenu]
type = custom/menu

; If true, <label-toggle> will be to the left of the menu items (default).
; If false, it will be on the right of all the items.
expand-right = true

; "menu-LEVEL-N" has the same properties as "label-NAME" with
; the additional "exec" property
;
; Available exec commands:
;   menu-open-LEVEL
;   menu-close
; Other commands will be executed using "/usr/bin/env sh -c $COMMAND"
menu-0-0 = reboot
menu-0-0-exec = menu-open-1
menu-0-1 = shutdown
menu-0-1-exec = menu-open-2

menu-1-0 = back
menu-1-0-exec = menu-open-0
menu-1-1 = reboot
menu-1-1-exec = systemctl reboot

menu-2-0 = shutdown
menu-2-0-exec = systemctl poweroff
menu-2-1 = back
menu-2-1-exec = menu-open-0

; Available tags:
;   <label-toggle> (default) - gets replaced with <label-(open|close)>
;   <menu> (default)
; Note that if you use <label-toggle> you must also include
; the definition for <label-open>

;;format = <label-toggle> <menu>
;;format-prefix = ${menu.icon-menu}
format-spacing = 1 

label-open = 
label-close = 


; Optional item separator
; Default: none
label-separator = |

label-open-foreground = ${color.ac}
label-close-foreground = ${color.ac}
label-separator-foreground = ${color.ac}

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/menu]
type = custom/menu

; If true, <label-toggle> will be to the left of the menu items (default).
; If false, it will be on the right of all the items.
expand-right = true

; "menu-LEVEL-N" has the same properties as "label-NAME" with
; the additional "exec" property
;
; Available exec commands:
;   menu-open-LEVEL
;   menu-close
; Other commands will be executed using "/usr/bin/env sh -c $COMMAND"
menu-0-0 = Menu
menu-0-0-exec = ~/.config/polybar/scripts/launcher &
menu-0-1 = Files
menu-0-1-exec = thunar &
menu-0-2 = Terminal
menu-0-2-exec = termite &
menu-0-3 = Browser
menu-0-3-exec = firefox &

; Available tags:
;   <label-toggle> (default) - gets replaced with <label-(open|close)>
;   <menu> (default)
; Note that if you use <label-toggle> you must also include
; the definition for <label-open>

;;format = <label-toggle> <menu>
;;format-prefix = ${menu.icon-menu}
format-spacing = 1 

label-open = 
label-close = 


; Optional item separator
; Default: none
label-separator = |

label-open-foreground = ${color.ac}
label-close-foreground = ${color.ac}
label-separator-foreground = ${color.ac}

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/nvidia]
type = custom/script
exec = ~/.config/polybar/scripts/system-nvidia-smi.sh

; Seconds to sleep between updates
; Default: 1
interval = 0.5
format-prefix = 

;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

[module/pulseaudio-control]

type = custom/script
tail = true
label = %output%

exec = ~/.config/polybar/scripts/pulseaudio-control.bash listen
click-right = exec pavucontrol &
click-left = ~/.config/polybar/scripts/pulseaudio-control.bash togmute
click-middle = ~/.config/polybar/scripts/pulseaudio-control.bash next-sink
scroll-up = ~/.config/polybar/scripts/pulseaudio-control.bash up
scroll-down = ~/.config/polybar/scripts/pulseaudio-control.bash down
label-foreground = ${color.green}

[module/pulse-volume]

type = custom/script
tail = true
label = %output%

exec = ~/.config/polybar/scripts/volume.sh feed
click-left = ~/.config/polybar/scripts/volume.sh change_mode

label-padding = 2
label-foreground = ${color.fg}
;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_
;;	    __________  ______
;;	   / ____/ __ \/ ____/
;;	  / __/ / / / / /_    
;;	 / /___/ /_/ / __/    
;;	/_____/\____/_/       
;;
;; _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_
